### Name: fmri.lm
### Title: Linear Model For FMRI Data
### Aliases: fmri.lm
### Keywords: regression

### ** Examples

  # Example 1
  data <- list(ttt=writeBin(rnorm(32*32*32*107),raw(),4),
               mask=array(1,c(32,32,32)),dim=c(32,32,32,107))
  class(data) <- "fmridata"
  hrf <- fmri.stimulus(107, c(18, 48, 78), 15, 2)
  z <- fmri.design(hrf,2)
  model <- fmri.lm(data,z,keep="all")
  plot(extract.data(data)[16,16,16,])
  lines(extract.data(data)[16,16,16,] - extract.data(model,"residuals")[16,16,16,],col=2)



